LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-25-2006, 08:43 PM   #1
tuxianD
Member
 
Registered: Jul 2006
Location: MumbaI
Distribution: Fedora 14, Solaris 10
Posts: 55

Rep: Reputation: 15
Question Erorrs while installing softs on FC5


Hi buddies,
I am .I have installed FC5 on my machine without any hastle.
But now when I am trying to install any softs it shows hell a lot of errors or warning.

When trying to install rpm package , It shows
failed dependencies followed by list,*** is needed by ***.rpm.

When trying to install .tar package it shows
configure: error: no acceptable C compiler found in $PATH.

#rpm -ivh ****.rpm
#./configure
I am using above commands for rpm and source package respectively.

If I reinstall os ,will it fix this problem?
Plz help me tuxians.

Last edited by tuxianD; 07-25-2006 at 08:44 PM.
 
Old 07-25-2006, 08:49 PM   #2
jeelliso
Member
 
Registered: Oct 2005
Location: Knoxville, Tn (USA)
Distribution: OpenSUSE, Ubuntu
Posts: 250

Rep: Reputation: 30
Welcome to LQ!

You should use Yum, the Fedora Core package manager to install software. The repository is pretty big so most everything you will ever need will be available from here. If you have to install from .rpm manually and it will not automatically fix the dependency problem, then you will have to install the depencencies manually.

As for the compile-time error, it looks like you don't have a C compiler installed on your computer. Run "whereis gcc" and if it doesn't return a path, then you don't have one installed. You can do a "yum search gcc" to find the package you are interested in, the run "yum install package" where package is the name of the package you wish to install.

Good Luck,
~Justin
 
Old 07-25-2006, 09:23 PM   #3
tuxianD
Member
 
Registered: Jul 2006
Location: MumbaI
Distribution: Fedora 14, Solaris 10
Posts: 55

Original Poster
Rep: Reputation: 15
Quote:
[root@tux Softs]# whereis gcc
gcc: /usr/libexec/gcc
I think it is installed properly so what should I do now ?

[
Quote:
root@tux Softs]# yum install gcc
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

No module named constants

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.2 (#1, Feb 12 2006, 03:59:46)
[GCC 4.1.0 20060210 (Red Hat 4.1.0-0.24)
]

Which package require to configure yum or any other settings which I supposed to do.

Thnx for reply.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
installing Gaim; make Perl erorrs edM Slackware 2 08-25-2004 02:44 PM
Music Softs, a discovery jazzben Linux - Software 2 08-15-2004 03:03 PM
dc erorrs plz help?? bccline Linux - Software 1 05-06-2004 09:18 AM
Softs in Mandrake 9.2. like in Windows Corel Draw? jato Linux - Newbie 2 03-16-2004 02:52 PM
any softs could be familar to me ? black Linux - Software 4 07-05-2002 09:04 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 08:00 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration